Subject: bug#54188: Crash when eval-ing font test elisp code

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Mar 2022 16:05:20 +0200

> Date: Thu, 3 Mar 2022 14:46:56 +0200
> Cc: [email-masked]
> From: Vordoo <[email-masked]>
> 
> On 3/3/22 11:46, Eli Zaretskii wrote:
> > What are *.htf font files?  Are they OpenType fonts, or are they
> > something else?  "t1fonts" seem to say they are Type1 fonts or
> > something?  Does anyone here know what they are?
> >
> > I didn't know Emacs can use TeXLive fonts, and I have no idea what
> > that means for our font-handling code.  Maybe the cause of the crash
> > is that Type1 fonts cause some problems?
> 
> This may shade some light regarding htf fonts:
> 
> https://tug.org/pipermail/texhax/2008-July/010720.html
> 
> 
> This other culprit fonts is indeed  Type1:
> 
> "Caladings CLM"
> 
> /usr/share/fonts/Type1/CaladingsCLM.pfa: Caladings CLM:style=Regular
> 
> 
> Culprit "lucida" font probably is from:
> 
> /usr/share/texmf-dist/tex/context/fonts/mkiv/lucida-typeone-math.lfg
> /usr/share/texmf-dist/tex/context/fonts/mkiv/type-imp-lucida-typeone.mkiv
> /usr/share/texmf-dist/tex/context/fonts/mkiv/type-imp-lucida-opentype.mkiv
> /usr/share/texmf-dist/tex/context/fonts/mkiv/lucida-opentype-math.lfg
> /usr/share/texmf-dist/tex/plain/zztex/zzlucida.tex

Thanks.

I know nothing about these fonts.  Maybe we should disable their use
in Emacs.

Does anyone else here know anything about these fonts and their
usability in Emacs?